package com.JN.demo.zmquotation.service.impl;

import com.JN.demo.zmquotation.dto.InventoryDto;
import com.JN.demo.zmquotation.mapper.InventoryMapper;
import com.JN.demo.zmquotation.service.InventoryService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @ClassName InventoryServiceImpl
 * @Description TODO
 * @Author JIAL
 * @Date 2024/2/22 9:55
 * @Version 1.0
 */
@Service
public class InventoryServiceImpl implements InventoryService {

    @Autowired
    InventoryMapper inventoryMapper;

    /**
     * @title queryInventoryList
     * @description 获取盘具列表
     * @author JIAL
     * @updateTime 2024/2/22 10:06
     * @return: java.util.List<com.JN.demo.zmquotation.dto.InventoryDto>
     */
    @Override
    public List<InventoryDto> queryInventoryList() {
        return inventoryMapper.queryInventoryList();
    }
}
